@import url('https://fonts.cdnfonts.com/css/pp-neue-montreal');
@import url("https://fonts.googleapis.com/css?family=Roboto:400,700");
@import url('https://db.onlinewebfonts.com/c/67821e7ef9a2952d6e7757a6cae5a826?family=Novecento+WideBold');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@600&display=swap');
@import url(https://db.onlinewebfonts.com/c/214dd8afc399412820f14dd64245b5ba?family=Work+Sans);
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", cursive;
    font-size: xx-small;                                                                                                    
}
body {
    min-height: 100vh;
    /*background: url('backgroundProviDesidia.png') no-repeat center center fixed; */
    background-color: rgb(255, 255, 255);
    background-size: cover;
    margin: 0;
    padding: 0;
}

 /*Header y navbar, iconos y responsive, menu ------------------------- */
 .header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 6.8rem;
    padding: 1.5rem 6%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}
.header * {
    transition: color 0.3s ease, transform 0.3s ease;
}
.header::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, .1); 
    backdrop-filter: blur(15px); 
    z-index: -1;
}
.header::after {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, transparent, rgba(255, 255, 255, .4), transparent);
    transition: .5s;
}
.header:hover::after {
    left: 100%;
}
.logo {
    font-size: 2rem;
    color: rgb(0, 0, 0); 
    text-decoration: none;
    font-weight: 700;
}
.logo:hover {
    color: #2AEC88;
    transform: scale(1.1);
}
.navbar a {
    font-family: 'Novecento WideBold';
    font-size: 1.5rem;
    color: #000000;
    text-decoration: none;
    font-weight: 500;
    margin-left: 2.5rem;
}
.navbar a:hover {
    color: #2AEC88;
    transform: scale(1.1);
}
.navbar a.active {
    color: rgb(255, 0, 242);
    transform: scale(1.1);
}
.header .navbar a i {
    padding: 0 0.3rem;
    font-size: 1.7rem;
}
#check {
    display: none;
}
.icons {
    position: absolute;
    right: 5%;
    font-size: 2.8rem;
    color: #000000;
    cursor: pointer;
    display: none;
}
.icons #menu-icon,
.icons #close-icon {
    font-size: 3.2rem;
}
.icons #menu-icon:hover {
    color: #2AEC88;
}
.icons #close-icon:hover {
    color: #2AEC88;
}
/*BREAKPOINTS*/
@media (max-width: 992px){
.header {
    padding: 1.3rem 5%;
}
}
@media (max-width: 768px) {
.icons {
    display: inline-flex;
}
#check:checked~.icons #menu-icon {
    display: none;
}
.icons #close-icon {    
    display: none;
}
#check:checked~.icons #close-icon {
    display: block;
}
.navbar {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 0;
    background: rgba(0, 0, 0, .1);
    backdrop-filter: blur(15px);
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
    overflow: hidden;
    transition: .3s ease;
}
#check:checked~.navbar {
    height: 22.7rem;
}
.navbar a {
    display: block;
    font-size: 1.25rem;
    margin: 1.5rem 0;
    text-align: center;
    transform: translateY(-50px);
    opacity: 0;
    transition: .3s ease;
}
#check:checked ~ .navbar a {
    transform: translateY(0);
    opacity: 1;
    transition-delay: calc(.15s * var(--i));
}
.navbar a i {
    display: block;
    font-size: 2rem;
}
} 


/* Estilos generales */
.container {
    max-width: 900px;
    margin: 20px auto;
    padding: 20px;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.345);
    margin-top: 13rem;
    font-family: Arial, sans-serif;
}

.main-image {
    width: 100%;
    border-radius: 5px;
    margin-bottom: 10px;
}

.content {
    padding: 20px;
    margin: 60px 0;
}

h1 {
    font-size: 3.5em;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    margin-bottom: 20px;
    text-transform: uppercase;
    text-align: center;
    padding: 20px;
    margin-bottom: 30px;
    margin-top: 3rem;
    font-weight: 700;
}

.content p {
    font-size: 1.8em;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    line-height: 1.6;
    margin-bottom: 15px;
    text-align: justify;
}

.new-section {
    margin-top: 20px;
    padding: 20px;
    border-top: 6px solid #0f0f0f70;
}

.new-section h2 {
    font-size: 20px;
    margin-bottom: 10px;
}

.secondary-image {
    width: 100%;
    border-radius: 5px;
    margin-top: 20px;
}

/* Estilos responsivos */
@media (max-width: 1200px) {
    .container {
        max-width: 700px;
        margin-top: 10rem;
    }
    
    h1 {
        font-size: 3em;
    }

    .content p {
        font-size: 1.6em;
    }
}

@media (max-width: 992px) {
    .container {
        max-width: 600px;
        margin-top: 8rem;
    }
    
    h1 {
        font-size: 2.5em;
    }

    .content p {
        font-size: 1.4em;
    }
}

@media (max-width: 768px) {
    .container {
        max-width: 100%;
        margin-top: 6rem;
    }
    
    h1 {
        font-size: 2.5em;
    }

    .content p {
        font-size: 1.9em;
    }
}

@media (max-width: 576px) {
    .container {
        max-width: 100%;
        margin-top: 7rem;
        padding: 10px;
    }
    
    h1 {
        font-size: 2.5em;
        padding: 10px;
    }

    .content {
        padding: 10px;
        margin: 30px 0;
    }

    .content p {
        font-size: 2em;
    }

    .new-section {
        padding: 10px;
    }
}
